/* -------------------------------------------------------------
This applet illustrates working with instance variables
and instance methods in different objects.

Java's classes: Applet    (applet)
                System    (lang)

Custom classes: Employee2
                Employee

------------------------------------------------------------- */
public class Employee2 extends java.applet.Applet {

   Employee e1;
   Employee e2;
   Employee e3;

   public void init() {
      e1 = new Employee();
      e1.hourlyWage = 10;
      e1.hoursWorked = 20;
      
      e2 = new Employee();
      e2.hourlyWage = 18;
      e2.hoursWorked = 38;
      
      e3 = new Employee();
      e3.hourlyWage = 12;
      e3.hoursWorked = 52;
   }
   
   public void start() {
      System.out.println("");
      System.out.println("Employee 1:");
      e1.displayInfo();      
      
      System.out.println("");
      System.out.println("Employee 2:");
      e2.displayInfo();      
      
      System.out.println("");
      System.out.println("Employee 3:");
      e3.displayInfo();      
   }
}

class Employee {
   int hourlyWage;
   int hoursWorked;
   
   int earnedIncome() {
      return hourlyWage * hoursWorked;
   }
   
   void displayInfo() {
      int earnedIncome;
      
      System.out.println("hourly wage = " + hourlyWage);
      System.out.println("hours worked = " + hoursWorked);
      
      earnedIncome = earnedIncome();
      System.out.println("earned income = " + earnedIncome);
   }
}